package org.project.entity.enemies;

import org.project.entity.players.Player;

public class Dragon extends  Enemy{

    private static int HP = 500;
    private static int fire = 60;

    public Dragon () {
        super (HP , fire);
    }

    @Override
    public String getName() {
        return "Dragon";
    }

    @Override
    public void specialAbility(Player target) {
        target.breakShield();
        target.takeDamage(fire);

    }
}
